<?php

/**
 * @file
 *   Administrative pages for the advanced_page.
 */

/**
 * Build advanced_page_settings_form form.
 *
 * @param array $form_state
 * @return array The created form.
 */
function advanced_page_settings_form($form_state) {
  $form = array();


  $form['advanced_page_url'] = array(
    '#type' => 'checkbox',
    '#title' => t('Page url'),
    '#default_value' => variable_get('advanced_page_url', FALSE),
    '#description' => t('Show/hide url text filed on content authoring form.'),
  );
  $form['advanced_page_url_alias'] = array(
    '#type' => 'textfield',
    '#title' => t('Page url alias prefix'),
    '#size' => 60,
    '#maxlength' => 128,
    '#default_value' => variable_get('advanced_page_url_alias', 'page/'),
    '#description' => t('Set page url alias prefix for the content node.'),
    '#states' => array(
      'visible' => array(
        ':input[name="advanced_page_url"]' => array('checked' => TRUE),
      ),
    ),);
  $form['advanced_page_javascript_field'] = array(
    '#type' => 'checkbox',
    '#title' => t('Javascript file field'),
    '#default_value' => variable_get('advanced_page_javascript_field', 0),
    '#description' => t('Show/hide javascript file upload field on content authoring form.'),
  );
  $form['advanced_page_javascript_filepath'] = array(
    '#type' => 'textfield',
    '#title' => t('Javascript filepath'),
    '#default_value' => variable_get('advanced_page_javascript_filepath', ''),
    '#description' => t('Token based filepath to save the uploaded js files.'),
    '#states' => array(
      'visible' => array (
        ':input[name = "advanced_page_javascript_field"]' => array('checked' => TRUE),
      ),
    ),
  );
  $form['advanced_page_css_field'] = array(
    '#type' => 'checkbox',
    '#title' => t("CSS file field"),
    '#default_value' => variable_get('advanced_page_css_field', 0),
    '#description' => t('Show/hide css file upload on content authoring form.'),
  );
  $form['advanced_page_css_filepath'] = array(
    '#type' => 'textfield',
    '#title' => t('Css filepath'),
    '#default_value' => variable_get('advanced_page_css_filepath', ''),
    '#description' => t('Token based filepath to save the uploaded css files'),
    '#states' => array(
      'visible' => array (
        ':input[name = "advanced_page_css_field"]' => array('checked' => TRUE),
      ),
    ),
  );
  $form['advanced_page_file_upload_field'] = array(
    '#type' => 'checkbox',
    '#title' => t('File Attachment'),
    '#default_value' => variable_get('advanced_page_file_upload_field', FALSE),
    '#description' => t('Show/hide file attachment field on content authoring form.'),
  );
  $form['advanced_page_file_upload_filepath'] = array(
    '#type' => 'textfield',
    '#title' => t('File Attachment filepath'),
    '#default_value' => variable_get('advanced_page_file_upload_filepath', ''),
    '#description' => t('Token based filepath to save the uploaded file attachments'),
    '#states' => array(
      'visible' => array (
        ':input[name = "advanced_page_file_upload_field"]' => array('checked' => TRUE),
      ),
    ),
  );
  $form['token_help'] = array(
    '#title' => t('Replacement patterns'),
    '#type' => 'fieldset',
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['token_help']['help'] = array(
    '#theme' => 'token_tree',
    '#token_types' => 'all',
  );
  $form['advanced_page_allowed_ext'] = array(
    '#type' => 'textfield',
    '#title' => t('Allowed file types'),
    '#size' => 60,
    '#maxlength' => 128,
    '#default_value' => variable_get('advanced_page_allowed_ext', 'gif png jpg jpeg txt'),
    '#description' => t('provide a space seperated list of allowed file extensions'),
    '#states' => array(
      'visible' => array(
        ':input[name="advanced_page_file_upload_field"]' => array('checked' => TRUE),
      ),
    ),);

  $form['advanced_page_menu'] = array(
    '#type' => 'checkbox',
    '#title' => t('Menu list'),
    '#default_value' => variable_get('advanced_page_menu', FALSE),
    '#description' => t('Show/hide  site wide menu list on  content authoring form.'),
  );

  $form['node_submitted_advanced_page'] = array(
    '#type' => 'checkbox',
    '#title' => t('Display settings'),
    '#default_value' => variable_get('node_submitted_advanced_page', FALSE),
    '#description' => t('Display author and date information.'),
  );

  return system_settings_form($form);
}
